%global _empty_manifest_terminate_build 0

Name:           perl-Module-Implementation
Version:        0.09
Release:        1
Summary:        Loads one of several alternate underlying implementations for a module
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Implementation/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Module-Implementation-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Runtime) >= 0.012
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Fatal) >= 0.006
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(warnings)

Requires:       perl(Carp)
Requires:       perl(Module::Runtime) >= 0.012
Requires:       perl(strict)
Requires:       perl(Try::Tiny)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module abstracts out the process of choosing one of several underlying
implementations for a module. This can be used to provide XS and pure Perl
implementations of a module, or it could be used to load an implementation
for a given OS or any other case of needing to provide multiple
implementations.

%package help
Summary : Loads one of several alternate underlying implementations for a module
Provides: perl-Module-Implementation-doc

%description help
This module abstracts out the process of choosing one of several underlying
implementations for a module. This can be used to provide XS and pure Perl
implementations of a module, or it could be used to load an implementation
for a given OS or any other case of needing to provide multiple
implementations.

%prep
%setup -q -n Module-Implementation-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README.md
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Thu Jul 14 2022 wangshuo <wangshuo@kylinos.cn> - 0.09-1
- Specfile autogenerated by Perl_Bot
